
$LOAD_PATH.unshift '.'
require 'amstd/inst'

class TMAILinstaller < Installer

  def com_setup
    setup_library 'tmail'
    setup_library 'racc'
    into_dir( 'strscan' ) do
      extconf
      make
    end
  end

  def com_install
    %w( amstd tmail racc ).each do |lib|
      install_library lib
    end
    into_dir( 'strscan' ) do
      make_install
    end
  end

end

TMAILinstaller.execute
